summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ext/psych/lib/psych/versions.rb3
-rw-r--r--ext/psych/psych.gemspec9
2 files changed, 9 insertions, 3 deletions
diff --git a/ext/psych/lib/psych/versions.rb b/ext/psych/lib/psych/versions.rb
index 226368fca2f..731ba9545e1 100644
--- a/ext/psych/lib/psych/versions.rb
+++ b/ext/psych/lib/psych/versions.rb
@@ -1,7 +1,8 @@
+
# frozen_string_literal: true
module Psych
# The version of Psych you are using
- VERSION = '3.1.0.pre2' unless defined?(::Psych::VERSION)
+ VERSION = '3.1.0' unless defined?(::Psych::VERSION)
if RUBY_ENGINE == 'jruby'
DEFAULT_SNAKEYAML_VERSION = '1.23'.freeze
diff --git a/ext/psych/psych.gemspec b/ext/psych/psych.gemspec
index cc086d9d364..44491c801e3 100644
--- a/ext/psych/psych.gemspec
+++ b/ext/psych/psych.gemspec
@@ -57,8 +57,13 @@ DESCRIPTION
if RUBY_ENGINE == 'jruby'
s.platform = 'java'
s.files.concat [
- "ext/java/PsychEmitter.java", "ext/java/PsychLibrary.java", "ext/java/PsychParser.java", "ext/java/PsychToRuby.java",
- "ext/java/PsychYamlTree.java", "lib/psych_jars.rb", "lib/psych.jar"
+ "ext/java/org/jruby/ext/psych/PsychEmitter.java",
+ "ext/java/org/jruby/ext/psych/PsychLibrary.java",
+ "ext/java/org/jruby/ext/psych/PsychParser.java",
+ "ext/java/org/jruby/ext/psych/PsychToRuby.java",
+ "ext/java/org/jruby/ext/psych/PsychYamlTree.java",
+ "lib/psych_jars.rb",
+ "lib/psych.jar"
]
s.requirements = "jar org.yaml:snakeyaml, #{Psych::DEFAULT_SNAKEYAML_VERSION}"
s.add_dependency 'jar-dependencies', '>= 0.1.7'